<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/channels_sip.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$table=new CI_TABLES();
	$table->set_option('sort', false);
	$table->set_option('edit', true);
	$table->set_option('clickable', 'desc');
	$table->set_option('toggle', true);
	$table->set_option('delete', true);
	
	$table->set_headers(array(
		'desc'			=> ci_lbl('channels.sip.index2.desc'),
		'ip'			=> ci_lbl('channels.sip.index2.ip'),
		'username'		=> ci_lbl('channels.sip.index2.username'),
		'auth_mode'		=> ci_lbl('channels.sip.index2.auth_mode'),
		'link_mode'		=> ci_lbl('channels.sip.index2.link_mode')
	));

	$manager=new CI_CHANNELS_SIP();
	$items=$manager->get_list();
	foreach ($items as $item)
	{
		$table->add_line(array(
			'desc'			=> $item['desc'],
			'ip'			=> $item['ip'],
			'username'		=> $item['username'],
			'auth_mode'		=> $item['auth_mode'],
			'link_mode'		=> $item['link_mode']
		), array(
			'id'		=> $item['id'],
			'enabled'	=> ($item['enabled'] == 'true')
		));
	}

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('new');
?>
<script type="text/javascript">
	function on_table_event(table, task, id)
	{
		switch (task)
		{
			case 'edit':
				ci_load_page('channels/sip/info.php?id='+id);
				break;

			case 'delete':
				my_id=id;
				ci_modal_confirm(id, "<?php echo ci_lbl('channels.sip.info.confirm-delete') ?>", "on_modal_results"); break;
				break;

			case 'sort':
				ci_action('channels_sip.php?task=sort&map='+id, true);
				break;

			default:
				ci_action('channels_sip.php?task='+task+'&id='+id);
				break;
		}
	}

	function on_modal_results(id, res)
	{
		if (res==true) ci_action('channels_sip.php?task=delete&id='+id);
	}

	function on_button_event(id, task)
	{
		ci_load_page('channels/sip/info.php');
	}
	
</script>

<div class="title"><?php echo ci_lbl("channels.sip.index2.title") ?></div>
<div class="help"><?php echo ci_hlp("channels.sip.index2") ?></div>

<?php echo $table->get(); ?>
<?php echo $buttons->get(); ?>
