<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/skype.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$table=new CI_TABLES();
	$table->set_option('sort', true);
	$table->set_option('edit', true);
	$table->set_option('clickable', 'account');
	$table->set_option('toggle', true);
	$table->set_option('delete', true);
	$table->set_option('reload', true);
	
	$table->set_headers(array(
		'account'		=> ci_lbl('skype.forwards.account'),
		'desc'			=> ci_lbl('skype.forwards.desc'),
		'destinations'	=> ci_lbl('skype.forwards.destinations')
	));

	$manager=new CI_SKYPE_FORWARDS();
	$items=$manager->get_list();
	foreach ($items as $item)
	{
		$table->add_line(array(
			'account'		=> $item['skype_username'],
			'desc'			=> $item['desc'],
			'destinations'	=> ci_crop_string($item['destinations'], 42)
		), array(
			'id'		=> $item['id'],
			'enabled'	=> ($item['enabled'] == 'true')
		));
	}

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('new');
?>
<script type="text/javascript">
	function on_table_event(table, task, id)
	{
		switch (task)
		{
			case 'edit':
				ci_load_page('skype/forwards/info.php?id='+id);
				break;

			case 'delete':
				my_id=id;
				ci_modal_confirm(id, "<?php echo ci_lbl('skype.forwards.info.confirm-delete') ?>", "on_modal_results"); break;
				break;

			case 'sort':
				ci_action('skype_forwards.php?task=sort&map='+id, true);
				break;

			case 'reload':
				ci_action('skype_forwards.php?task=reload&id='+id, true);
				break;

			default:
				ci_action('skype_forwards.php?task='+task+'&id='+id);
				break;
		}
	}

	function on_modal_results(id, res)
	{
		if (res==true) ci_action('skype_forwards.php?task=delete&id='+id);
	}

	function on_button_event(id, task)
	{
		ci_load_page('skype/forwards/info.php');
	}
</script>

<div class="title"><?php echo ci_lbl("skype.forwards.title") ?></div>
<div class="help"><?php echo ci_hlp("skype.forwards") ?></div>

<?php echo $table->get(); ?>
<?php echo $buttons->get(); ?>
