<?php
	class CI_SETTINGS_BACKUP extends CI_SETTINGS
	{
		function get_config_file()
		{
			return CI_PATH_CONFIG.'/backup.xml';
		}

		function get_rmap($info)
		{
			return array(
				'config' 	=> array(
					'enabled'					=> $info['config_enabled'],
					'frequency'					=> $info['config_frequency'],
					'media'						=> $info['config_media'],
					'message-template-subject'	=> $info['config_message_subject'],
					'message-template-body'		=> $info['config_message_body']
				),
				'callslog' 	=> array(
					'enabled'					=> $info['callslog_enabled'],
					'frequency'					=> $info['callslog_frequency'],
					'compress'					=> $info['callslog_compress'],
					'media'						=> $info['callslog_media'],
					'message-template-subject'	=> $info['callslog_message_subject'],
					'message-template-body'		=> $info['callslog_message_body']
				)
			);
		}

		function get_map($info)
		{
			return array(
				'config_enabled'			=> $info['config']['enabled'],
				'config_frequency'			=> $info['config']['frequency'],
				'config_media'				=> $info['config']['media'],
				'config_message_subject'	=> $info['config']['message-template-subject'],
				'config_message_body'		=> $info['config']['message-template-body'],

				'callslog_enabled'			=> $info['callslog']['enabled'],
				'callslog_frequency'		=> $info['callslog']['frequency'],
				'callslog_compress'			=> $info['callslog']['compress'],
				'callslog_media'			=> $info['callslog']['media'],
				'callslog_message_subject'	=> $info['callslog']['message-template-subject'],
				'callslog_message_body'		=> $info['callslog']['message-template-body']
			);
		}
		
		function get_info()
		{
			$config=ci_get_unserialized_xml($this->get_config_file());
			if (!$config) return array();
			
			return $this->get_map($config);
		}

		function task_save($info)
		{
			if (!$info['config_media'])
				return ci_response_error(
					'field',
					array(
						'fieldname' => 'config_message_from',
						'desc'		=> ci_lbl('libsettings_backup.error.missing-config_media')
					)
				);

			if (!$info['callslog_media'])
				return ci_response_error(
					'field',
					array(
						'fieldname' => 'callslog_media',
						'desc'		=> ci_lbl('libsettings_backup.error.missing-callslog_media')
					)
				);

			ci_save_xml($this->get_config_file(), $this->get_rmap($info));
			return ci_response_ok();
		}
	}
?>