#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

sys.path.append(_libspath+'/pythondialog')
import dialog

from castiron import *

# Configuration files
CORE_CONF_SYSTEM 		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CASTIRON_CONF_SYSTEM	= xml_to_array(CASTIRON_PATH_BASE+'/config/system.xml')

# Import language
execfile(CASTIRON_PATH_BASE+'/langs/'+CORE_CONF_SYSTEM['language']+'/labels.py')

def ci_lbl(code):
	if not CI_LBL.has_key(code): return code
	return CI_LBL[code]

def menu_network():
	os.system(CASTIRON_PATH_BASE+"/terminal/network.py")

def menu_password():
	os.system(CASTIRON_PATH_BASE+"/terminal/password.py")

def menu_maintenance():
	os.system(CASTIRON_PATH_BASE+"/terminal/maintenance.py")

def menu_hardware():
	os.system(CASTIRON_PATH_BASE+"/terminal/hardware.py")

# Start dialog
d=dialog.Dialog(dialog="dialog")
d.add_persistent_args(["--backtitle", ci_lbl('terminal.title')])
d.add_persistent_args(["--cancel-label", ci_lbl('terminal.close')])

while 1:
	(code, tag) = d.menu(
		ci_lbl("terminal.select"),
		width=70,
		height=15,
		choices=[
					("1", ci_lbl("terminal.main.network")),
					("2", ci_lbl("terminal.main.password")),
					("3", ci_lbl("terminal.main.hardware")),
					("4", ci_lbl("terminal.main.maintenance")),
					("S", ci_lbl("terminal.main.shell"))
				]
			)

	if int(code) != 0: break

	if tag == "S":
		os.execl("/bin/bash", "/bin/bash")
		sys.exit(0)
	
	tag=int(tag)

	if (tag == 1):		menu_network()
	elif (tag == 2):	menu_password()
	elif (tag == 3):	menu_hardware()
	elif (tag == 4):	menu_maintenance()
	else:				break
