#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from igx import *

sys.path.append(CORE_PATH_BASE+'/pylibs')

from s2p import *

if len(sys.argv) < 2: sys.exit(-1)

# XML file
file_name=re.sub(r'[^\w\-\_]+', '', sys.argv[1])
xml_file=IGX_PATH_BASE+'/config/'+file_name+'.xml'
if not os.path.isfile(xml_file):
	xml_file=sys.argv[1]

	if not os.path.isfile(xml_file): sys.exit(-1)

# Simple mode
if len(sys.argv) > 2 and sys.argv[2]:
	simple=1
else:
	simple=0

def dig_xml(conf, path=[]):
	
	if type(conf) == unicode or type(conf) == str:
		print str.join('.', path)+'='+conf
		return
	
	for k in conf.keys():
		path.append(str(k))
		dig_xml(conf[k], path)
		path.pop()

# Parse XML
conf = xml_to_array(xml_file, simple)

# Start DIG
dig_xml(conf)
