#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_HQ_SYSNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^hq.sysname | cut -d= -f2`

if [[ -f "$S2P_PATH_BASE/updates/pending.tar.bz2" ]]; then
	TMP_PATH=/tmp/update.$$.tmp
	mkdir $TMP_PATH

	dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Update" --exit-label "Continue" --pause "\nThis procedure will update the system.\nThe update will start in 10 seconds" 12 70 10
	dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Installing" --infobox "\nUnpacking the update.\nThis procedure may take several minutes.\n\nPlease wait" 12 70

	mv $S2P_PATH_BASE/updates/pending.tar.bz2 $TMP_PATH
	cd $TMP_PATH

	tar -xjf pending.tar.bz2 &> /dev/null

	if [[ -f "core/libexec/version" ]]; then

		dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Creating backup" --infobox "\nCreating security backups\nThis procedure may take several minutes.\n\nPlease wait" 12 70
		cp -Rfp $S2P_PATH_BASE $S2P_PATH_BASE-backup

		dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Copying" --infobox "\nCopying files to destination folder\nThis procedure may take several minutes.\n\nPlease wait" 12 70
		cp -Rfp * $S2P_PATH_BASE/
		
	else
	
		dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Update" --exit-label "Continue" --pause "\nCould not update.\nThe package was in invalid format." 12 70 30
		rm -Rf $TMP_PATH
		exit -1
		
	fi

	dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Cleaning" --infobox "\nCleaning archives" 12 70

	rm -Rf $TMP_PATH

	dialog --backtitle "$S2P_HQ_SYSNAME update installer" --title "Done" --infobox "\nSystem updated, please wait while starting it" 12 70

	exit 0
fi