#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_GROUPNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.groupname | cut -d= -f2`
S2P_PATH_LOG=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.log | cut -d= -f2`
S2P_PATH_RUN=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.run | cut -d= -f2`
S2P_PATH_SOCKS=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^path.socks | cut -d= -f2`

# S2P
chown -R  root.$S2P_OS_GROUPNAME $S2P_PATH_BASE
chmod 750 $S2P_PATH_BASE

# BACKUP
chown root.$S2P_OS_GROUPNAME $S2P_PATH_BASE/backup
chmod 770 $S2P_PATH_BASE/backup

# BACKUP
chown root.$S2P_OS_GROUPNAME $S2P_PATH_BASE/updates
chmod 770 $S2P_PATH_BASE/updates

# CORE
chmod -R 0750 $S2P_PATH_BASE/core
chown -R root.$S2P_OS_GROUPNAME $S2P_PATH_BASE/core

# APPS
chmod -R  0750 $S2P_PATH_BASE/apps
chown root.$S2P_OS_GROUPNAME $S2P_PATH_BASE/apps

# TMP
chown -R root.$S2P_OS_GROUPNAME $S2P_PATH_BASE/core/tmp
chmod 0770 $S2P_PATH_BASE/core/tmp
chmod 0660 $S2P_PATH_BASE/core/tmp/*

# SYS
chown -R root.$S2P_OS_GROUPNAME $S2P_PATH_LOG
chmod 770 $S2P_PATH_LOG
chmod 660 $S2P_PATH_LOG/*.log

chown -R  root.$S2P_OS_GROUPNAME $S2P_PATH_RUN
chmod 770 $S2P_PATH_RUN
chmod 660 $S2P_PATH_RUN/*.pid

chown -R  root.$S2P_OS_GROUPNAME $S2P_PATH_SOCKS
chmod 770 $S2P_PATH_SOCKS
chmod 660 $S2P_PATH_SOCKS/*.sock

# CONFIG
chmod 0660 $S2P_PATH_BASE/core/config/*.xml
chmod 0660 $S2P_PATH_BASE/core/config/*/*.xml

# MISC
chmod 0640 $S2P_PATH_BASE/core/misc/skypeconf/*.xml

# PyLIBS
chmod 0640 $S2P_PATH_BASE/core/pylibs/*.py

# SDK
chmod 0640 $S2P_PATH_BASE/core/sdk/python/*.py
chmod 0640 $S2P_PATH_BASE/core/sdk/python/s2p_base/*.py

# VH
chmod -R 0770 $S2P_PATH_BASE/core/vh

# Flags
chmod 0770 $S2P_PATH_BASE/core/flags
chmod 660 $S2P_PATH_BASE/core/flags/*.flag


