#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT


########################################################################################
# Calls management

class S2P_SKYPE_MESSAGE:

	def __init__(self, parent, source, messageid):
		self._messageid=messageid
		self._parent=parent
		self._properties={}
		self._source=source

	def __repr__(self):
		return "[s2p-skype-message: %s/%s]" % (self._source, self._messageid)

	def update(self, properties):
		self._properties=properties

	def _command(self, command, args={}):
		args['message-id']=self._messageid
		return self._parent.command(self._source, command, args)

########################################################################################
# Public functions for info

	def get_id(self):
		return self._messageid

	def get(self, key):
		if not self._properties.has_key(key): return ""
		return self._properties[key]

	def get_source(self):
		return self._source

########################################################################################
# Public functions for calls

	def send(self, args={}):
  		res=self._command("chatmessage-send", args)
		return (not self._parent.is_error(res), res)
